import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
from numpy import mean, median, min, max

mpg = sns.load_dataset("mpg")

estimator = [mean, median, min, max]

plt.figure(figsize=(15, 5))
for i, es in enumerate(estimator):
    plt.subplot(1, len(estimator), i + 1)
    plt.title(es.__name__)
    sns.barplot(x='origin', y='horsepower', estimator=es, data=mpg)

plt.show()
